PathwayAbstractObjectBuilder
Keywords: uk.ac.ic.doc.automed.p2p.tree.PathwayAbstractObjectBuilder class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.tree
Class PathwayAbstractObjectBuilder

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.tree.ObjectBuilder
          uk.ac.ic.doc.automed.p2p.tree.PathwayAbstractObjectBuilder

    public class PathwayAbstractObjectBuilder

extends ObjectBuilder

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.p2p.tree.ObjectBuilder
`modelMap, schemaMap, tree`

Constructor Summary
`PathwayAbstractObjectBuilder(Root root, java.lang.String peerName, P2PDirectoryRepository repository)` Creates a new instance of SchemaObjectBuilder

Method Summary
`java.util.List` | `createAutoMedObjectsFromTree()` An overloading method for creating `Schema` object
`protected boolean` | `createPathwayAbstraction(java.lang.String peerName, java.lang.String schemaName, java.lang.String dsName, java.lang.String transformationStr, float quality)` Create a `PathwayAbstraction` object from tree

Methods inherited from class uk.ac.ic.doc.automed.p2p.tree.ObjectBuilder
`addDomainSpecToSchema, addObjectsToSchema, createAccessMethod, createModel, createPathway, createSchema, createSchema, getModelMap, getSchemaMap, initSchema, retractModel, retractSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathwayAbstractObjectBuilder

    public PathwayAbstractObjectBuilder(Root root,
                                        java.lang.String peerName,
                                        P2PDirectoryRepository repository)

  Creates a new instance of SchemaObjectBuilder

Method Detail

### createAutoMedObjectsFromTree

    public java.util.List createAutoMedObjectsFromTree()
                                                throws AutoMedTreeException

  An overloading method for creating `Schema` object

  Overrides:
    `createAutoMedObjectsFromTree` in class `ObjectBuilder`
  Throws:
    `AutoMedTreeException`

### createPathwayAbstraction

    protected boolean createPathwayAbstraction(java.lang.String peerName,
                                               java.lang.String schemaName,
                                               java.lang.String dsName,
                                               java.lang.String transformationStr,
                                               float quality)
                                        throws AutoMedTreeException

  Create a `PathwayAbstraction` object from tree

  Throws:
    `AutoMedTreeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD